## ia32-libs 20090808ubuntu13

=== debian/changelog ===
ia32-libs (20090808ubuntu13) natty; urgency=low

  * Freshen packages (LP: #755720)
  * Remove dummy package libglu1-xorg (libglu1-mesa remains)

 -- Scott Ritchie <scottritchie@ubuntu.com>  Wed, 20 Apr 2011 23:28:04 -0700

ia32-libs (20090808ubuntu12) natty; urgency=low

  * Set LDCONFIG_NOTRIGGER=y to cope with the ldconfig cache not being up to
    date (LP: #746758). Thanks Colin Watson!

 -- Evan Dandrea <ev@ubuntu.com>  Mon, 11 Apr 2011 11:33:48 +0100

ia32-libs (20090808ubuntu11) natty; urgency=low

  * Add libqtwebkit4 (LP: #677397)
  * Add ibus-gtk, libibus2 (LP: #646954)
  * Another manual libpng link, libpng.so.3 (LP: #707770)
  * Add gtk2-engines-oxygen (LP: #719568)
  * Add libopenvg1-mesa (LP: #693969)
  * Add libwbclient0, winbind (LP: #694953)
  * Change some libraries that are now just symlink packages (should fix Flash)
    - libnss3-1d to libnss3
    - libnspr4-0d to libnspr4

 -- Scott Ritchie <scottritchie@ubuntu.com>  Tue, 29 Mar 2011 18:44:49 -0700

ia32-libs (20090808ubuntu10) natty; urgency=low

  * Steve Langasek <steve.langasek@ubuntu.com>:
    - debian/rules: move contents of multiarch directories to the
      ia32-libs directory, to maintain compatibility while the multiarch
      rollout is still in progress.
  * Scott Ritchie <scottritchie@ubuntu.com>:
    - Freshen packages (should close many issues, especially with mesa)
    - Add gstreamer codecs and their dependencies (Wine, others):
      gstreamer0.10-plugins-good, libaa1, libgpm2, libslang2, libavc1394-0,
      libraw1394-11, libbz2-1.0, libcaca0, libdv4, libgudev-1.0-0,
      libiec61883-0, liborc-0.4-0, libshout3, libspeex1, libtheora0,
      libsoup-gnome2.4-1, libproxy0, libsoup2.4-1, libtag1c2a, libtag1-vanilla,
      libwavpack1, gstreamer0.10-plugins-ugly, libass4, libenca0, libcdaudio1,
      libdc1394-22, libusb-1.0-0, libdca0, libdirac-encoder0, libexempi3,
      libdvdnav4, libdvdread4, libmms0, libflite1, libfaad2, libgme0,
      libiptcdata0, libkate1, libmimic0, libmodplug1, libmpcdec6,
      libmusicbrainz4c2a, libofa0, libfftw3-3, librtmp0, libschroedinger-1.0-0,
      libvpx0, libwildmidi1, libzbar0, gstreamer0.10-plugins-bad, liba52-0.7.4,
      libcdio10, libid3tag0, libmpeg2-4, libopencore-amrnb0, libopencore-amrwb0,
      libsidplay1, libtwolame0, gstreamer0.10-ffmpeg, gstreamer0.10-fluendo-mp3,
      libmp3lame0, libopenjpeg2, libva1, libx264-106, libxvidcore4
    - Add gettext, gettext-base for Wine as well
    - Add libunistring0, libxcb-glx0 for xorg
    - Depend on lib32ncursesw5 and remove it
    - Use natty sources.list.deb.good
    - Change libdrm-nouveau1 to libdrm-nouveau1a
    - Add libegl1-mesa (fixes an error in gdk-pixbuf found at postinst)

 -- Scott Ritchie <scottritchie@ubuntu.com>  Tue, 29 Mar 2011 00:09:44 -0700

ia32-libs (20090808ubuntu9) maverick; urgency=low

  * Final package freshening for Maverick

 -- Scott Ritchie <scottritchie@ubuntu.com>  Fri, 08 Oct 2010 01:31:46 -0700

ia32-libs (20090808ubuntu8) maverick; urgency=low

  * Add libjasper1 (LP: #190227)
  * Add libtalloc2 (LP: #653982)
  * fetch-and-build: use --only-source when getting source packages to avoid
    getting wrong source package for libjasper1

 -- Scott Ritchie <scottritchie@ubuntu.com>  Mon, 04 Oct 2010 07:33:32 -0700

ia32-libs (20090808ubuntu7) maverick; urgency=low

  * Freshen packages (LP: #653982)

 -- Scott Ritchie <scottritchie@ubuntu.com>  Sun, 03 Oct 2010 13:32:20 -0700

ia32-libs (20090808ubuntu6) maverick; urgency=low

  * Fix LP: #646862 - Skype crashes after signing in. Add libx11-xcb1 and
    libxcb-atom1 now that Pulse seems to need them

 -- Chris Coulson <chrisccoulson@ronne.canonical.com>  Sun, 26 Sep 2010 13:16:47 +0000

ia32-libs (20090808ubuntu5) maverick; urgency=low

  * Fix LP: #641056 - Loader chooses 64-bit instead of 32-bit library.
    Update the gdk-pixbuf version, and create a loaders.cache on instally
  * Refresh packages

 -- Chris Coulson <chrisccoulson@ronne.canonical.com>  Fri, 24 Sep 2010 14:33:49 +0000

ia32-libs (20090808ubuntu4) maverick; urgency=low

  * Add libgvfscommon0 (LP: #619293)

 -- Scott Ritchie <scottritchie@ubuntu.com>  Mon, 06 Sep 2010 16:35:59 -0700

ia32-libs (20090808ubuntu3) maverick; urgency=low

  * Freshen packages
  * sources.list.deb: use archive.ubuntu.com instead of za.archive.ubuntu.com

 -- Scott Ritchie <scottritchie@ubuntu.com>  Mon, 06 Sep 2010 01:25:49 -0700

ia32-libs (20090808ubuntu2) maverick; urgency=low

  * Add libgdk-pixbuf2.0-0, libxcb-shm0: Required by flashplayer (LP: #618787)

 -- Stefano Rivera <stefanor@ubuntu.com>  Mon, 16 Aug 2010 23:16:26 +0200

ia32-libs (20090808ubuntu1) maverick; urgency=low

  * Merge with Debian unstable. (LP: #618666) Remaining Ubuntu changes:
    - sources.list.deb: Debian -> Ubuntu archive apt sources.
    - Add debian/pango.modules and install them in debian/rules.
    - debian/rules:
      + Depend on lib32bz2-1.0 on amd64 instead of shipping it.
      + Depend on lib32v4l package
      + Automatically create all missing .so symlinks in /lib32
        and /usr/lib32 as the manual list of links was always out of sync and
        incomplete (LP: #277772, #309841).
      + Remove the automatically created libstdc++.so symlink, it's not needed.
        g++-4.3-multilib provides the right symlink (LP: #360870)
      + Add gvfs and symlinks for gio (LP: #369498)
      + Add symlink to libGL.so for Wine building (LP: #513554)
      + Compress packages with LZMA
    - debian/rules, debian/ia32-libs.conf: Add /lib32 and /usr/lib32 to ld
      search path.
    - fetch-and-build:
      + fetch-and-build: Add packages we want/need in Ubuntu. This also
        includes SDL and GTK, which are in separate source packages in Debian.
      + fetch-and-build: Do not die on source/binary version mismatch when
        defining $SOURCE_VER_MISMATCH. Useful right after opening a new Ubuntu
        release, when the archive is in heavy flux.
      + Dropped:

