=== debian/control ===
Source: ia32-libs
Section: libs
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian ia32-libs Team <pkg-ia32-libs-maintainers@lists.alioth.debian.org>
Uploaders: Bdale Garbee <bdale@gag.com>, Goswin von Brederlow <goswin-v-b@web.de>, Frederik Schüler <fs@debian.org>
Build-Depends: debhelper (>> 4.0.0), dpkg-dev (>= 1.10.23), lsb-release, dctrl-tools
Standards-Version: 3.6.2.0

Package: ia32-libs
Architecture: amd64 ia64
Pre-Depends: dpkg (>= 1.13.21), libc6-i386 (>= 2.9-18) [amd64]
Depends: lsb-release, lib32gcc1, ${lib:Depends}, lib32ncursesw5
Replaces: ia32-libs-openoffice.org, ia32-libs-dev (<< 1.6), nvidia-glx-ia32 (<< 1.0.8774-7), ia32-freeglut3, ia32-lesstif2, ia32-libacl1, ia32-libaio1, ia32-libartsc0, ia32-libasyncns0, ia32-libattr1, ia32-libaudio2, ia32-libaudiofile0, ia32-libcairo2, ia32-libcap2, ia32-libcapi20-3, ia32-libcomerr2, ia32-libcups2, ia32-libdbus-1-3, ia32-libdirectfb-1.2-0, ia32-libdrm2, ia32-libesd0, ia32-libexif12, ia32-libexpat1, ia32-libfltk1.1, ia32-libfontconfig1, ia32-libfreetype6, ia32-libgcrypt11, ia32-libgl1-mesa-dri, ia32-libgl1-mesa-glx, ia32-libglu1-mesa, ia32-libgnutls26, ia32-libgpg-error0, ia32-libgphoto2-2, ia32-libgphoto2-port0, ia32-libgssapi-krb5-2, ia32-libhal1, ia32-libice6, ia32-libieee1284-3, ia32-libjack0, ia32-libjpeg62, ia32-libk5crypto3, ia32-libkeyutils1, ia32-libkrb5-3, ia32-libkrb5support0, ia32-liblcms1, ia32-libldap-2.4-2, ia32-libltdl7, ia32-liblzo2-2, ia32-libnss-ldap, ia32-libpam0g, ia32-libpam-ldap, ia32-libpng12-0, ia32-libpopt0, ia32-libpulse0, ia32-libsane, ia32-libsasl2-2, ia32-libsdl1.2debian-alsa, ia32-libselinux1, ia32-libsigc++-2.0-0c2a, ia32-libsm6, ia32-libssl0.9.8, ia32-libstdc++5, ia32-libsvga1, ia32-libtasn1-3, ia32-libtiff4, ia32-libusb-0.1-4, ia32-libuuid1, ia32-libwmf0.2-7, ia32-libx11-6, ia32-libx86-1, ia32-libxau6, ia32-libxaw7, ia32-libxcb1, ia32-libxcb-render0, ia32-libxcb-render-util0, ia32-libxcomposite1, ia32-libxcursor1, ia32-libxdamage1, ia32-libxdmcp6, ia32-libxext6, ia32-libxfixes3, ia32-libxft2, ia32-libxi6, ia32-libxinerama1, ia32-libxml2, ia32-libxmu6, ia32-libxmuu1, ia32-libxp6, ia32-libxpm4, ia32-libxrandr2, ia32-libxrender1, ia32-libxslt1.1, ia32-libxss1, ia32-libxt6, ia32-libxtrap6, ia32-libxtst6, ia32-libxv1, ia32-libxxf86vm1, ia32-odbcinst1debian1, ia32-unixodbc, ia32-xaw3dg
Conflicts: ia32-libs-dev (<< 1.6), nvidia-glx-ia32 (<< 1.0.8774-7), ia32-freeglut3, ia32-lesstif2, ia32-libacl1, ia32-libaio1, ia32-libartsc0, ia32-libasyncns0, ia32-libattr1, ia32-libaudio2, ia32-libaudiofile0, ia32-libcairo2, ia32-libcap2, ia32-libcapi20-3, ia32-libcomerr2, ia32-libcups2, ia32-libdbus-1-3, ia32-libdirectfb-1.2-0, ia32-libdrm2, ia32-libesd0, ia32-libexif12, ia32-libexpat1, ia32-libfltk1.1, ia32-libfontconfig1, ia32-libfreetype6, ia32-libgcrypt11, ia32-libgl1-mesa-dri, ia32-libgl1-mesa-glx, ia32-libglu1-mesa, ia32-libgnutls26, ia32-libgpg-error0, ia32-libgphoto2-2, ia32-libgphoto2-port0, ia32-libgssapi-krb5-2, ia32-libhal1, ia32-libice6, ia32-libieee1284-3, ia32-libjack0, ia32-libjpeg62, ia32-libk5crypto3, ia32-libkeyutils1, ia32-libkrb5-3, ia32-libkrb5support0, ia32-liblcms1, ia32-libldap-2.4-2, ia32-libltdl7, ia32-liblzo2-2, ia32-libnss-ldap, ia32-libpam0g, ia32-libpam-ldap, ia32-libpng12-0, ia32-libpopt0, ia32-libpulse0, ia32-libsane, ia32-libsasl2-2, ia32-libsdl1.2debian-alsa, ia32-libselinux1, ia32-libsigc++-2.0-0c2a, ia32-libsm6, ia32-libssl0.9.8, ia32-libstdc++5, ia32-libsvga1, ia32-libtasn1-3, ia32-libtiff4, ia32-libusb-0.1-4, ia32-libuuid1, ia32-libwmf0.2-7, ia32-libx11-6, ia32-libx86-1, ia32-libxau6, ia32-libxaw7, ia32-libxcb1, ia32-libxcb-render0, ia32-libxcb-render-util0, ia32-libxcomposite1, ia32-libxcursor1, ia32-libxdamage1, ia32-libxdmcp6, ia32-libxext6, ia32-libxfixes3, ia32-libxft2, ia32-libxi6, ia32-libxinerama1, ia32-libxml2, ia32-libxmu6, ia32-libxmuu1, ia32-libxp6, ia32-libxpm4, ia32-libxrandr2, ia32-libxrender1, ia32-libxslt1.1, ia32-libxss1, ia32-libxt6, ia32-libxtrap6, ia32-libxtst6, ia32-libxv1, ia32-libxxf86vm1, ia32-odbcinst1debian1, ia32-unixodbc, ia32-xaw3dg
Suggests: ia32-libs-gtk
Provides: ia32-libs-gtk, ia32-libs-sdl
Description: ia32 shared libraries for use on amd64 and ia64 systems
 This package contains runtime libraries for the ia32/i386
 architecture, configured for use on an amd64 or ia64 Debian system running
 a 64-bit kernel.

Package: ia32-libs-dev
Architecture: ia64
Section: libdevel
Depends: ia32-libs (= ${Source-Version})
Replaces: libc6-dev-i386
Conflicts: libc6-dev-i386
Description: ia32 development libraries and headers for use on ia32/ia64 systems
 This package contains headers and development libraries for building
 32-bit ia32 applications on amd64/ia64 Debian systems.

Package: lib32gcc1
Architecture: ia64
Depends: ia32-libs (= ${Source-Version})
Description: GCC support library (ia32)
 Shared version of the support library, a library of internal subroutines
 that GCC uses to overcome shortcomings of particular machines, or
 special needs for some languages.
 .
 This version is built from the ia32-libs package for the ia64 architecture
 only.  Other architectures get lib32gcc1 directly from the gcc package.
