=== debian/rules ===
#!/usr/bin/make -f

export DH_COMPAT=4

DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

# Lowest version with fully ABI compatible libraries
SHLIB_VERSION=20080808

ROOT=/
ROOTL=
SUFFIX=32
SUFFIXL=32

# Set Arch specific variables
# On amd64 some package compile 32bit debs directly.
# Skip converting them and Depend on them instead.
ifeq (amd64,$(DEB_HOST_ARCH))
  lib_depends = libc6-i386 (>= 2.3.6-2), lib32z1, lib32stdc++6, lib32asound2, lib32bz2-1.0, lib32ncurses5, lib32v4l-0
  FILTER = zlib1g libc6 libgcc1 libasound2 libbz2-1.0 libstdc++6 libncurses5 libv4l-0
  EXTRA_INSTALL =
else
  lib_depends = 
  FILTER = libgcc1
  EXTRA_INSTALL = install-ia32-libs-dev install-lib32gcc1
  LIBGCC_VERSION := $(shell dpkg -I pkgs/libgcc1_*deb | awk '/Version/ {print $$2; exit}')
  LIBGCC_VER1 := $(shell echo $(LIBGCC_VERSION) | sed 's/+b[0-9]*//')
  LIBGCC_VER2 := +ia32.libs.$(shell dpkg-parsechangelog  | grep ^Version | awk '{print $$2}')
  LIBGCC_VER3 := $(shell echo $(LIBGCC_VERSION) | sed -n 's/.*\(+b[0-9]*\)/\1/p')
  LIB32GCC_VERSION := $(LIBGCC_VER1)$(LIBGCC_VER2)$(LIBGCC_VER3)
endif

build:
#	./fetch-and-build

clean:
	dh_testdir
	dh_testroot
	dh_clean

install-prefix:
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

######################################################################
# common variables
######################################################################

MAKE := $(MAKE) -f debian/rules
DEBS_ALL := $(shell cd pkgs; ls *.deb | cut -d"_" -f1)

DEBS_ia32-libs     := $(filter-out %-dev $(FILTER),$(DEBS_ALL))
DEBS_ia32-libs-dev := $(filter %-dev,$(DEBS_ALL))
DEBS_lib32gcc1     := libgcc1 gcc-4.5-base

EXTRACT_ia32-libs     := $(addprefix extract-,$(DEBS_ia32-libs))
EXTRACT_ia32-libs-dev := $(addprefix extract-,$(DEBS_ia32-libs-dev))
EXTRACT_lib32gcc1     := $(addprefix extract-,$(DEBS_lib32gcc1))

######################################################################
# common helper
######################################################################
# All helpers expect DEST to be set to debian/<pkg>

.PRECIOUS: %/DEBIAN/Manifest
%/DEBIAN/Manifest:
	mkdir -p $(DEST)/DEBIAN/
	echo "# packages used in the creation of $(notdir $(DEST))" \
	     > $(DEST)/DEBIAN/Manifest
	echo >> $(DEST)/DEBIAN/Manifest

extract-%: $(DEST)/DEBIAN/Manifest
	cd pkgs && echo $*_*.deb >> ../$(DEST)/DEBIAN/Manifest
	dpkg-deb -x pkgs/$*_*.deb $(DEST)/t

	# change shlibs information
	# libX Y * ---> libX Y <DEST> (>= SHLIB_VERSION)
	dpkg-deb -e pkgs/$*_*.deb $(DEST)/t/DEBIAN
	if [ -f $(DEST)/t/DEBIAN/shlibs ]; then \
	  grep -v "^udeb:" < $(DEST)/t/DEBIAN/shlibs \
	  | sed "s/^\(\S*\s*\S*\).*/\1 $(notdir $(DEST)) (>= $(SHLIB_VERSION))/" >>$(DEST)/DEBIAN/shlibs; \
	fi
	rm -r $(DEST)/t/DEBIAN

move-libs:
	# Move libraries to new places
	[ ! -d $(DEST)/t/lib ] \
	|| ( mkdir -p $(DEST)$(ROOT) \
	   && mv $(DEST)/t/lib $(DEST)$(ROOT)lib$(SUFFIX) )
	[ ! -d $(DEST)/t/usr/lib ] \
	|| ( mkdir -p $(DEST)$(ROOT)usr \
	   && mv $(DEST)/t/usr/lib $(DEST)$(ROOT)usr/lib$(SUFFIX) )
	# multiarch handling.
	# we know this is for i386, so hard-code the i386-linux-gnu triplet
	[ ! -d $(DEST)$(ROOT)lib$(SUFFIX)/i386-linux-gnu ] \
	|| (cp -a $(DEST)$(ROOT)lib$(SUFFIX)/i386-linux-gnu/* $(DEST)$(ROOT)lib$(SUFFIX)/ \
	    && rm -rf $(DEST)$(ROOT)lib$(SUFFIX)/i386-linux-gnu)
	[ ! -d $(DEST)$(ROOT)usr/lib$(SUFFIX)/i386-linux-gnu ] \
	|| (cp -a $(DEST)$(ROOT)usr/lib$(SUFFIX)/i386-linux-gnu/* $(DEST)$(ROOT)usr/lib$(SUFFIX)/ \
	    && rm -rf $(DEST)$(ROOT)usr/lib$(SUFFIX)/i386-linux-gnu)


fix-links:
	# change links in $(DEST)$(ROOT) to new names
	for link in $$(find $(DEST)$(ROOT) -type l); do		\
	  dest=$$(readlink $$link);				\
	  case "$$dest" in					\
	    /etc*) ;;						\
	    /usr/lib/locale*) ;;				\
	    /*) rm -f $$link;					\
	        ln -s $$(echo $$dest | sed -e 's,^/,$(ROOT),; s,/lib/i386-linux-gnu/,/lib$(SUFFIX)/,; s,/lib/,/lib$(SUFFIX)/,') $$link;	\
	        ;;						\
	  esac;							\
	done

######################################################################
# ia32-libs
######################################################################
install-ia32-libs: DEST=debian/ia32-libs
install-ia32-libs: install-prefix
	# Extract all debs
	$(MAKE) DEST=$(DEST) $(EXTRACT_ia32-libs)

	# Move libraries to new places
	$(MAKE) DEST=$(DEST) move-libs

ifeq (ia64,$(DEB_HOST_ARCH))
	# Make ldd work for 32-bit and 64-bit binaries.
	[ -x $(DEST)/t/usr/bin/ldd ]
	RTLDLIST="/lib/ld-linux-ia64.so.2 /lib/ld-linux.so.2" ; \
	sed -i "s%RTLDLIST=.*%RTLDLIST=\"$$RTLDLIST\"%" $(DEST)/t/usr/bin/ldd
	sed -i 's%verify_out=`$${rtld} --verify "$$file"`%verify_out=`$${rtld} --verify "$$file" 2>\&1`%' $(DEST)/t/usr/bin/ldd

	# Move ldd into place
	mkdir -p $(DEST)/usr/bin
	mv $(DEST)/t/usr/bin/ldd $(DEST)/usr/bin
	# removed in glibc 2.5
	#mv $(DEST)/t/usr/bin/lddlibc4 $(DEST)/usr/bin
	chmod u=rwx,go=rx $(DEST)/usr/bin/ldd

	# Link the ld.so into place
	mkdir -p $(DEST)/lib/
	ln -s $(ROOT)lib$(SUFFIX)/ld-linux.so.2 $(DEST)/lib/ld-linux.so.2

	# Add /lib32 and /usr/lib32 to ld search path
	mkdir -p $(DEST)/etc/ld.so.conf.d
	cp -p debian/ia32-libs.conf $(DEST)/etc/ld.so.conf.d/

ifneq (/,$(ROOT))
	# Move uname into place
	mkdir -p $(DEST)$(ROOT)bin
	mv $(DEST)/t/bin/uname $(DEST)$(ROOT)bin

	# Create /usr/lib32 link for gcc
	ln -s $(ROOT)usr/lib$(SUFFIX) $(DEST)/usr/lib32
endif
endif

	# Add locale symlink
	ln -s /usr/lib/locale $(DEST)$(ROOT)usr/lib$(SUFFIX)/locale

	# Add a ".so" symlink to each shared lib lacking one
	for where in usr/lib lib ; do \
		echo "* doing /$${where}$(SUFFIX)" ; \
		cd $(CURDIR)/$(DEST)$(ROOT)$${where}$(SUFFIX)/ && \
		for lib in $$(find . -maxdepth 1 -type f -name \*.so\* | sort) ; do \
			SO=$$(echo $$lib | sed -e 's/\(\.so\)\.[.0-9]*$$/\1/') ; \
			if [ "Z$$SO" != "Z$$lib" ] ; then \
				if [ ! -e $$SO ] ; then \
					SSO=$$(find . -lname $$(basename $$lib) | head -1) ; \
					if [ "Z$$SSO" != Z ] ; then \
						ln -vs $$SSO $$SO ; \
					else \
						ln -vs $$lib $$SO ; \
					fi \
				fi \
			fi \
		done \
	done

	# More symlinks, not covered by the code above
	cd $(DEST)$(ROOT)/usr/lib$(SUFFIX)/ && \
	ln -s /lib32/libpng12.so.0 libpng.so && \
	ln -s /lib32/libpng12.so.0 libpng.so.3 && \
	ln -s /lib32/libpng12.so.0 libpng12.so && \
	ln -s liblber-2.4.so liblber.so && \
	ln -s libldap_r-2.4.so libldap_r.so

	cd $(DEST)$(ROOT)/lib$(SUFFIX)/ && \
	ln -s libusb-0.1.so libusb.so

	# Drop the libstdc++.so symlink, it's provided by g++-4.4-multilib (LP: #360870)
	cd $(DEST)$(ROOT)/usr/lib$(SUFFIX)/ && \
	rm -f libstdc++.so

	# Provide proper links for gtk modules (LP: #369498)
	dh_link -pia32-libs /usr/lib32/gtk-2.0/2.10.0 /usr/lib/gtk-2.0/2.10.0/i486-pc-linux-gnu
	dh_link -pia32-libs /usr/lib32/gtk-2.0/       /usr/lib/gtk-2.0/i486-pc-linux-gnu
	dh_link -pia32-libs /usr/lib32/gtk-2.0/2.10.0 /usr/lib/gtk-2.0/2.10.0/i686-pc-linux-gnu
	dh_link -pia32-libs /usr/lib32/gtk-2.0/       /usr/lib/gtk-2.0/i686-pc-linux-gnu

	# Remove atk-bridge module (LP: #369498)
	rm $(DEST)$(ROOT)usr/lib32/gtk-2.0/modules/libatk-bridge.so

	# Provide proper links for libglib2 (LP: #369498)
	dh_link -pia32-libs /usr/lib32/gio/modules /usr/lib/gio/modules/i486-pc-linux-gnu
	dh_link -pia32-libs /usr/lib32/gio/modules /usr/lib/gio/modules/i686-pc-linux-gnu

	# Provide proper links for libGL (LP: #513554)
	dh_link -pia32-libs /usr/lib32/mesa/libGL.so.1 /usr/lib32/libGL.so

	# verify and install pango.modules
	PANGOMODS=$$(dpkg-deb -c pkgs/libpango*i386.deb | grep modules/pango | cut -d. -f2- | sed -e 's,/lib/i386-linux-gnu/,/lib/,; s,/lib/,/lib32/,'); \
	for i in $$(grep -v ^'#' debian/pango.modules | cut -d" " -f1 | sort -u); \
	do \
		if ! echo "$$PANGOMODS" | grep -q ^$$i; then \
			echo "ERROR: Pango module $$i not listed in libpango package." >&2 ; \
			echo "Please update debian/pango.modules" >&2; \
			exit 1; \
		fi; \
	done
	install -m644 debian/pango.modules debian/ia32-libs/usr/lib32/pango/1.6.0/module-files.d/libpango1.0-0.modules

	# Remove unwanted directories and pt_chown
