## ia32-libs 20090808ubuntu35

=== debian/changelog ===
ia32-libs (20090808ubuntu35) precise; urgency=low

  * Fix a typo in debian/control that prevented the package from building
    on i386.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 18 Mar 2012 13:35:33 -0700

ia32-libs (20090808ubuntu34) precise; urgency=low

  * Re-add libxtst6 (LP: #946381) and libgconf-2-4 (LP: #953404), since these
    libs are still needed by some packages that use ia32-libs.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 12 Mar 2012 14:55:36 -0700

ia32-libs (20090808ubuntu33) precise; urgency=low

  * Demote libnss-ldap, libpam-ldap, libpam-winbind from Depends to Suggests,
    so that an upgrade doesn't by default either pull in an additional
    daemon (winbind) or introduce debconf questions (ldap-auth-config).
    LP: #912704.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 11 Jan 2012 16:43:22 +0100

ia32-libs (20090808ubuntu32) precise; urgency=low

  * debian/control: libsdl1.2debian-pulseaudio (NBS) → libsdl1.2debian.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 05 Dec 2011 14:57:05 +0100

ia32-libs (20090808ubuntu31) precise; urgency=low

  * Depend on libpulsedsp in place of pulseaudio-utils.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 27 Oct 2011 17:00:49 -0700

ia32-libs (20090808ubuntu30) precise; urgency=low

  * Er, actually update debian/control, not just debian/changelog, for
    libpam-winbind.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 24 Oct 2011 11:41:26 -0700

ia32-libs (20090808ubuntu29) precise; urgency=low

  * Depend on libpam-winbind, not on winbind, now that it's split.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 24 Oct 2011 10:04:40 -0700

ia32-libs (20090808ubuntu28) precise; urgency=low

  * Depend on libgettextpo0 (already existing virtual package), not on
    gettext.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 20 Oct 2011 11:11:52 -0700

ia32-libs (20090808ubuntu27) precise; urgency=low

  * ia32-libs-multiarch has no reason to Pre-Depends: mulitarch-support.
  * Completely empty ia32-libs, moving everything to ia32-libs-multiarch.
    This makes ia32-libs uninstallable in precise until all of these packages
    are made multiarch co-installable, but that's the point.  We need to
    finish off ia32-libs for precise.
  * Switch to dh(1) for the now-trivial packaging.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 16 Oct 2011 23:54:11 -0700

ia32-libs (20090808ubuntu26) oneiric; urgency=low

  * Final freshening of packages for Oneiric
  * ia32-libs-multiarch also recommends libgl1-mesa-dri
    - Should be pulled in already by libgl1-mesa-glx, but this will
      hit upgrading beta users

 -- Scott Ritchie <scottritchie@ubuntu.com>  Thu, 06 Oct 2011 22:37:59 -0700

ia32-libs (20090808ubuntu25) oneiric; urgency=low

  * Create an ia32-libs-multiarch package to depend on i386 versions of
    libraries that were dropped over the last cycle
    - Should ease transitional issues
    - Recommended (but not depended by) ia32-libs
    - Makes it less likely to have no handler for 32 bit (LP: #852101)
  * Libraries for ia32-libs-multiarch are:
    - qt4-x11: libqtcore4, libqtgui4, libqt4-dbus, libqt4-network,
      libqt4-opengl, libqt4-qt3support, libqt4-script, libqt4-scripttools, 
      libqt4-sql, libqt4-svg, libqt4-test, libqt4-xml, libqt4-xmlpatterns
    - acl: libacl1
    - attr: libattr1
    - libcupsimage2: libcups2, libcupsimage2
    - curl: libcurl3
    - gdbm: libgdbm3
    - nss: libnss3
    - nspr: libnspr4
    - openssl: libssl1.0.0
    - libxss: libxss1
  * ia32-libs-multiarch also recommends libgl1-mesa-glx (LP: #821100)
  * debian/rules: create special dh_gencontrol for i386 to avoid build failure
  * Readd libqtwebkit4 to ia32-libs
    - while qtwebkit-source was Multi-Arched, it still depends on libgstreamer
      which has not yet been multiarched and resides in ia32-libs

 -- Scott Ritchie <scottritchie@ubuntu.com>  Wed, 28 Sep 2011 23:47:04 -0700

ia32-libs (20090808ubuntu24) oneiric; urgency=low

  * Remove libllvm2.9 and DRI driver manual symlinks (LP: #851947)
  * Freshen packages

 -- Scott Ritchie <scottritchie@ubuntu.com>  Wed, 28 Sep 2011 17:37:52 -0700

ia32-libs (20090808ubuntu23) oneiric; urgency=low

  * Declare a Provides: lib32v4l-0 since we've subsumed that library, and
    there are third-party packages that depend on this name.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 21 Sep 2011 13:45:24 -0700

ia32-libs (20090808ubuntu22) oneiric; urgency=low

  * Create some manual symlinks for DRI drivers (LP: #821100)
    - Also add libllvm2.9

 -- Scott Ritchie <scottritchie@ubuntu.com>  Thu, 15 Sep 2011 16:52:17 -0700

ia32-libs (20090808ubuntu21) oneiric; urgency=low

  * Remove SSL packages from source since they're in the archive;
    packages will be acquired with fetch-and-build like others
  * Add libssl1.0.0 to match the version needed by ssl-dev (for Wine)

 -- Scott Ritchie <scottritchie@ubuntu.com>  Tue, 13 Sep 2011 18:17:27 -0700

ia32-libs (20090808ubuntu20) oneiric; urgency=low

  * Replaces on libv4l32-dev is also needed.  LP: #836835.
  * Re-add libxp6 to the package; not yet multiarched, and needed for things
    like ICA Client.  LP: #836397.
  * Add libpciaccess0, needed for accelerated 3d for 32-bit programs.
    LP: #836672.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 30 Aug 2011 10:15:59 -0700

ia32-libs (20090808ubuntu19) oneiric; urgency=low

  * Add missing replaces on libv4l32-0.  LP: #835132.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 26 Aug 2011 16:07:58 -0700

ia32-libs (20090808ubuntu18) oneiric; urgency=low

  * Add libv4l and libjpeg8 to ia32-libs, since lib32v4l-0 has been dropped,
    and drop the dependency on the separate package.  LP: #808064.
  * Freshen packages.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 26 Aug 2011 12:14:52 -0700

ia32-libs (20090808ubuntu17) oneiric; urgency=low

  * Declare Breaks: on flashplugin-installer (<< 10.3.183.4ubuntu4) and

