=== debian/control ===
Source: ia32-libs
Section: libs
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian ia32-libs Team <pkg-ia32-libs-maintainers@lists.alioth.debian.org>
Uploaders: Bdale Garbee <bdale@gag.com>, Goswin von Brederlow <goswin-v-b@web.de>, Frederik Schüler <fs@debian.org>
Build-Depends: debhelper (>= 7)
Standards-Version: 3.6.2.0

Package: ia32-libs
Architecture: amd64 ia64
Depends: ia32-libs-multiarch
Breaks: flashplugin-installer (<< 10.3.183.4ubuntu4), nspluginwrapper (<< 1.4.4-0ubuntu2)
Provides: ia32-libs-gtk, ia32-libs-sdl, lib32v4l-0
Description: ia32 shared libraries - transitional package
 This is a transitional package depending on ia32-libs-multiarch, an i386-only
 metapackage that depends on all of the libraries that were previously
 included in this package.  If no other packages are installed that depend
 on this package, it can be safely removed.

Package: ia32-libs-multiarch
Architecture: i386
Multi-Arch: foreign
Depends: bluez-alsa, libgettextpo0, gstreamer0.10-plugins-base,
 gstreamer0.10-plugins-good, gstreamer0.10-fluendo-mp3, gtk2-engines,
 gtk2-engines-murrine, gtk2-engines-pixbuf, gtk2-engines-oxygen, gvfs,
 ibus-gtk, libacl1, libaio1, libao4, libasound2, libasound2-plugins,
 libasyncns0, libattr1, libaudio2, libcanberra-gtk-module, libcap2,
 libcapi20-3, libcups2, libcupsimage2, libcurl3, libdbus-glib-1-2, libesd0,
 libfontconfig1, libfreetype6, libgail-common, libgconf-2-4, libgdbm3,
 libglapi-mesa, libglu1-mesa, libgphoto2-2, libgphoto2-port0, libgtk2.0-0,
 libmpg123-0, libncursesw5, libnspr4, libnss3, libodbc1, libopenal1,
 libpulse-mainloop-glib0, libqt4-dbus, libqt4-network,
 libqt4-opengl, libqt4-qt3support, libqt4-script, libqt4-scripttools,
 libqt4-sql, libqt4-svg, libqt4-test, libqt4-xml, libqt4-xmlpatterns,
 libqtcore4, libqtgui4, libqtwebkit4, librsvg2-common, libsane,
 libsdl-mixer1.2, libsdl-image1.2, libsdl-net1.2, libsdl-ttf2.0-0,
 libsdl1.2debian, libsqlite3-0, libssl0.9.8, libssl1.0.0,
 libstdc++5, libstdc++6, libxaw7, libxml2, libxp6, libxslt1.1, libxss1,
 libxtst6, odbcinst1debian2, libpulsedsp, xaw3dg
Recommends: libgl1-mesa-glx, libgl1-mesa-dri
Suggests: libpam-ldap, libpam-winbind, libnss-ldap
Description: Multi-arch versions of former ia32-libraries
 This package depends on i386 versions of packages that were removed from
 ia32-libs and transitioned to multi-arch.  This allows applications using 
 ia32-libs in previous Ubuntu releases to continue functioning without missing
 libraries.
