## ia32-libs 20090808ubuntu36

=== debian/changelog ===
ia32-libs (20090808ubuntu36) precise-proposed; urgency=low

  * Drop gstreamer0.10-fluendo-mp3 from the dependencies of
    ia32-libs-multiarch; this was a late addition solely for the benefit of
    wine, which according to Scott Ritchie no longer needs it in precise,
    and the fact that there are multiple packages providing this package
    name (across universe, partner archive, and commercial ppas) means that
    trying to install one of these other packages incorrectly causes
    ia32-libs to be removed.  LP: #1000541.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 16 May 2012 21:20:21 -0700
