=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
 Architecture: i386
 Multi-Arch: foreign
 Depends: bluez-alsa, libgettextpo0, gstreamer0.10-plugins-base,
- gstreamer0.10-plugins-good, gstreamer0.10-fluendo-mp3, gtk2-engines,
+ gstreamer0.10-plugins-good, gtk2-engines,
  gtk2-engines-murrine, gtk2-engines-pixbuf, gtk2-engines-oxygen, gvfs,
  ibus-gtk, libacl1, libaio1, libao4, libasound2, libasound2-plugins,
  libasyncns0, libattr1, libaudio2, libcanberra-gtk-module, libcap2,
