## ia32-libs 20140630

=== debian/changelog ===
ia32-libs (20140630) squeeze-proposed-updates; urgency=low

  * Packages updated

  [ cups (1.4.4-7+squeeze4) oldstable-security; urgency=high ]

  * Backport security fix from cups-filters 1.0.47:
    pdftoopvp: SECURITY FIX for CVE-2013-6474, CVE-2013-6475, and
    CVE-2013-6476: Introduction of gmallocn and gmallocn3 to protect against
    arbitrary code execution with the privileges of the "lp" user via
    malicious PDF files. Also restrict the directory from where OPVP drivers
    can get loaded (#741333)

  [ curl (7.21.0-2.1+squeeze8) squeeze-security; urgency=medium ]

  * Fix multiple security issues (#742728):
    - Fix connection re-use when using different log-in credentials
      as per CVE-2014-0138
      http://curl.haxx.se/docs/adv_20140326A.html
    - Reject IP address wildcard matches as per CVE-2014-0139
      http://curl.haxx.se/docs/adv_20140326B.html
  * Set urgency=high accordingly

  [ gnutls26 (2.8.6-1+squeeze3) oldstable-security; urgency=high ]

  * 22_gnutls-2.8.5-cve-2014-0092.patch by Nikos Mavrogiannopoulos: Fix
    certificate validation issue. CVE-2014-0092

 -- Thijs Kinkhorst <thijs@debian.org>  Mon, 30 Jun 2014 13:45:39 +0200

ia32-libs (20140131) squeeze-proposed-updates; urgency=low

  * Packages updated

  [ curl (7.21.0-2.1+squeeze7) squeeze-security; urgency=high ]

  * Fix re-use of wrong HTTP NTLM connection as per CVE-2014-0015
    http://curl.haxx.se/docs/adv_20140129.html
  * Set urgency=high accordingly

  [ curl (7.21.0-2.1+squeeze6) oldstable-security; urgency=low ]

  * Disable host verification too when using the --insecure option
    (#729965)

  [ curl (7.21.0-2.1+squeeze5) oldstable-security; urgency=high ]

  * Fix OpenSSL checking of a certificate CN or SAN name field when the
    digital signature verification is turned off as per CVE-2013-4545
    http://curl.haxx.se/docs/adv_20131115.html
  * Set urgency=high accordingly

  [ libxml2 (2.7.8.dfsg-2+squeeze8) oldstable-security; urgency=high ]

  * Non-maintainer upload by the Security Team.
  * Fix cve-2013-2877: out-of-bounds read when handling documents that end
    abruptly.

  [ nspr (4.8.6-1+squeeze1) squeeze-security; urgency=high ]

  * Non-maintainer upload by the Security Team.
  * Fix CVE-2013-5607: integer overflow on 64 bit systems

  [ nss (3.12.8-1+squeeze7) squeeze-security; urgency=high ]

  * Non-maintainer upload by the Security Team.
  * Add CVE-2013-5605.patch.
    CVE-2013-5605: Null_Cipher() does not respect maxOutputLen; allowing
    remote attackers to cause a denial of service or possibly have
    unspecified other impact via invalid handshake packets.

 -- Thijs Kinkhorst <thijs@debian.org>  Fri, 31 Jan 2014 09:19:46 +0100

ia32-libs (20131011) squeeze-proposed-updates; urgency=low

  * Packages updated

  [ nas (1.9.2-4squeeze1) oldstable-security; urgency=high ]

  * Fixes for various long-standing security issues found by Hamid
    Zamani <me@hamidx9.ir>. #720287
    + Validate the port offset of nasd to fix a potential buffer overflow
      (CVE-2013-4256)
    + Use better string functions to guard against heap overflows
      (CVE-2013-4257)
    + Sanity-check the TCP_DEVICE environment variable for safety.
  * Fix string handling in aulog.c:osLogMsg() to fix missing format string
    in call to syslog() (CVE-2013-4258).

 -- Thijs Kinkhorst <thijs@debian.org>  Fri, 11 Oct 2013 09:40:55 +0200

ia32-libs (20130924) squeeze-proposed-updates; urgency=low

  * Packages updated

  [ cups (1.4.4-7+squeeze3) stable; urgency=low ]

  [ Didier Raboud ]
  * Ship cups-files.conf's manpage in cups (#697543)
    - Update the configuration files split patch to also build the
      manpage;
    - Install the english manpage.
  * Generate translated cups-files.conf's manpage in the po4a
    infrastructure.
  * Minimally update French manpage translation

  [ Helge Kreutzmann ]
  * Update German manpage translation. (#697860)

  [ curl (7.21.0-2.1+squeeze4) oldstable-security; urgency=high ]

  * Fix URL decode buffer boundary flaw as per CVE-2013-2174
    http://curl.haxx.se/docs/adv_20130622.html
  * Set urgency=high accordingly

  [ curl (7.21.0-2.1+squeeze3) squeeze-security; urgency=high ]

  * Non-maintainer upload

  [ Alessandro Ghedini ]
  * Fix cookie domain tailmatch as per CVE-2013-1944
    http://curl.haxx.se/docs/adv_20130412.html
  * Set urgency=high accordingly

  [ Salvatore Bonaccorso ]
  * Add testcase for CVE-2013-1944

  [ dbus (1.2.24-4+squeeze2) stable; urgency=low ]

  * CVE-2012-3524: apply patches from upstream 1.6.6 to avoid arbitrary
    code execution in setuid/setgid binaries that incorrectly use libdbus
    without first sanitizing the environment variables inherited from
    their less-privileged caller (#689070).
    - As per upstream 1.6.8, do not check filesystem capabilities for now,
      only setuid/setgid, fixing regressions in certain configurations of
      gnome-keyring

  [ krb5 (1.8.3+dfsg-4squeeze7) oldstable-security; urgency=medium ]

  * Fix "cve-2002-2443: kpasswd udp ping-pong"  (#708267)

  [ libgcrypt11 (1.4.5-2+squeeze1) squeeze-security; urgency=high ]

  * Pull and unfuzzz code changes from 1.5.3 security fix release from
    upstream GIT:
    + [35_bug-in-mpi_powm-for-e-0.patch] mpi/mpi-pow.c (gcry_mpi_powm) - For
      a zero exponent, make sure that the result has been allocated.
    + [36_Mitigate-flush-reload-cache-attack-on-RSA.patch] Mitigate a
      flush+reload cache attack on RSA secret exponents.
      <http://eprint.iacr.org/2013/448>
    This fixes CVE-2013-4242.

  [ libx11 (2:1.3.3-4+squeeze1) squeeze-security; urgency=high ]

  * CVE-2013-1981: integer overflows calculating memory needs for replies
  * CVE-2013-1997: buffer overflows due to not validating length or offset
    values in replies
  * CVE-2013-2004: unbounded recursion parsing user-specified files
    (#145048)

  [ libxcb (1.6-1+squeeze1) oldstable-security; urgency=low ]

  * CVE-2013-2064
